00:02 Solve any linked list question with three simple techniques. 01:03 Using the fast-slow technique with two pointers to traverse a linked list at different speeds 02:10 Key techniques for handling Linked List questions 03:17 Techniques to reverse linked list nodes and determine palindrome 04:16 Use fast-slow pointers to find the midpoint and reverse the second half of the linked list for efficient palindrome checking. 05:15 Using lead lag to check for palindrome in a linked list 06:17 Three techniques for solving any linked list problem 07:16 Asking for feedback on new video format and potential topics to cover
I was about to leetcode some linked list programs and watched this to review and this is the best algorithms video I have ever seen and it's not even close.
00:02 Solve any linked list question with three simple techniques. 01:03 Using the fast-slow technique with two pointers to traverse a linked list at different speeds 02:10 Key techniques for handling Linked List questions 03:17 Techniques to reverse linked list nodes and determine palindrome 04:16 Use fast-slow pointers to find the midpoint and reverse the second half of the linked list for efficient palindrome checking. 05:15 Using lead lag to check for palindrome in a linked list 06:17 Three techniques for solving any linked list problem
Great video bro but quick question. I'm an incoming freshman next semester and took an online python course during my senior year. I struggled and currently struggle to retain a lot of info and I'm trying to practice leetcode/neetcode daily to keep myself fresh. Do you suggest watching vids like yours or certain topics then trying questions or neetcodes or is there another way I should approach retaining concepts I've learned?
I would recommend breaking your learning down topic-by-topic and doing the following: - Watch a video on topic A - Take notes on the core concepts - Practice targeted coding questions for that topic - Review the areas that you found lacking and start the process over again.
To check palindrome Is it not more efficient to initialize two pointers at the head and the tail and move them in opposite directions until they point to the same address. And just compare the compare the data?
All of the techniques described in the video are actually "in-place." When using nodes, the only time a solution would not be "in-place" would be if the solution required creating new nodes.
Great content brother !😊 This gave me the much needed head start for the Linked List questions , and I think if the situation is correct we can use these techniques in other DSA questions too . Thank u so much😇. I had to like it and m a new subscriber too
in your palindrome example, your fast pointer shouldve moved 3 iterations because on ur video fast is still not null and fast.next is still not null, thus your fast pointer must be at the null node right after the last node
The condition we check against is that 𝘧𝘢𝘴𝘵.𝘯𝘦𝘹𝘵.𝘯𝘦𝘹𝘵 is not null. You can see at 4:54 that the fast pointer is at Node B, and B.next.next is null, so we terminate.
00:02 Solve any linked list question with three simple techniques.
01:03 Using the fast-slow technique with two pointers to traverse a linked list at different speeds
02:10 Key techniques for handling Linked List questions
03:17 Techniques to reverse linked list nodes and determine palindrome
04:16 Use fast-slow pointers to find the midpoint and reverse the second half of the linked list for efficient palindrome checking.
05:15 Using lead lag to check for palindrome in a linked list
06:17 Three techniques for solving any linked list problem
07:16 Asking for feedback on new video format and potential topics to cover
I was about to leetcode some linked list programs and watched this to review and this is the best algorithms video I have ever seen and it's not even close.
Short, Concise and to the point!
Thank you!!
Clearly the best Linked List video of all time
Mashallah brother, you should have continue the explanations on data structures
00:02 Solve any linked list question with three simple techniques.
01:03 Using the fast-slow technique with two pointers to traverse a linked list at different speeds
02:10 Key techniques for handling Linked List questions
03:17 Techniques to reverse linked list nodes and determine palindrome
04:16 Use fast-slow pointers to find the midpoint and reverse the second half of the linked list for efficient palindrome checking.
05:15 Using lead lag to check for palindrome in a linked list
06:17 Three techniques for solving any linked list problem
Great video bro but quick question. I'm an incoming freshman next semester and took an online python course during my senior year. I struggled and currently struggle to retain a lot of info and I'm trying to practice leetcode/neetcode daily to keep myself fresh. Do you suggest watching vids like yours or certain topics then trying questions or neetcodes or is there another way I should approach retaining concepts I've learned?
I would recommend breaking your learning down topic-by-topic and doing the following:
- Watch a video on topic A
- Take notes on the core concepts
- Practice targeted coding questions for that topic
- Review the areas that you found lacking and start the process over again.
BigThanks for the outstanding ideas
awesome video!!!
To check palindrome Is it not more efficient to initialize two pointers at the head and the tail and move them in opposite directions until they point to the same address. And just compare the compare the data?
If you had a doubly-linked list that would definitely be more efficient, however you cannot do that with a singly linked list!
Great video!
Great video bro
Great video
Great Video!!! What’s the new channel 👀
What about in place reversal of linked list ?
All of the techniques described in the video are actually "in-place." When using nodes, the only time a solution would not be "in-place" would be if the solution required creating new nodes.
Thank you for the video
Great content brother !😊 This gave me the much needed head start for the Linked List questions , and I think if the situation is correct we can use these techniques in other DSA questions too . Thank u so much😇. I had to like it and m a new subscriber too
in your palindrome example, your fast pointer shouldve moved 3 iterations because on ur video fast is still not null and fast.next is still not null, thus your fast pointer must be at the null node right after the last node
The condition we check against is that 𝘧𝘢𝘴𝘵.𝘯𝘦𝘹𝘵.𝘯𝘦𝘹𝘵 is not null. You can see at 4:54 that the fast pointer is at Node B, and B.next.next is null, so we terminate.
oh my bad we had different while loop conditions
good stuff
Penguin is the best
Don't lose hope
are you GOD?